# ipe::DataSource Class Reference
Ipe Base

Interface for getting data for parsing. More...

`#include <ipebase.h>`

Inherited by ipe::A85Source, ipe::Base64Source, ipe::BufferSource, ipe::FileSource, ipe::InflateSource, PsSource, and StandardStyleSource.

List of all members.

## Public Member Functions

- virtual ~DataSource ()=0
- virtual int getChar ()=0

## Detailed Description

Interface for getting data for parsing.

## Constructor & Destructor Documentation

DataSource::~DataSource | ( |  | ) | `[pure virtual]`

Pure virtual destructor.

## Member Function Documentation

virtual int ipe::DataSource::getChar | ( |  | ) | `[pure virtual]`

Get one more character, or EOF.

Implemented in ipe::FileSource, ipe::BufferSource, ipe::A85Source, ipe::Base64Source, and ipe::InflateSource.

The documentation for this class was generated from the following files:

- ipebase.h
- ipebase.cpp